-- ============================================================================
-- Project:	rbench - Logic Programming and Database Benchmarks
-- Filename:	db/v_bam.sql
-- Purpose:	Benchmark DB: Views to Support Result Analysis for BAM
-- Last Change:	04.03.2019
-- Language:	SQL (Tested with PostgreSQL)
-- Author:	Stefan Brass
-- EMail:	brass@informatik.uni-halle.de
-- WWW:		http://www.informatik.uni-halle.de/~brass/
-- Address:	Feldschloesschen 15, D-06120 Halle (Saale), GERMANY
-- Copyright:	(c) 2018-2019 by Stefan Brass
-- License:	See file "LICENSE" for copying conditions.
-- Note:	There is no warranty at all - this code may contain bugs.
-- ============================================================================


-- ============================================================================
-- Benchmark Results for BAM (Current Version, Standard Machine, No Output):
-- ============================================================================

CREATE VIEW BAM AS
SELECT BENCH,
	IMPL,
	FILE_ID AS FILE,
	LOAD_T,
	EXEC_T,
	-- TOTAL_T,
	CPU_T,
	REAL_T,
	MEM_MB
FROM RESULT
WHERE SYS = 'bam';

