/*-----------------------------------------------------------------------------
 * Options:
 *-----------------------------------------------------------------------------
 */

:- table sg/2.

/*-----------------------------------------------------------------------------
 * Benchmark Program:
 *-----------------------------------------------------------------------------
 */

sg(Y, Y) :- par(_,Y).
sg(X, Y) :- par(X, A), sg(A, B), par(Y, B).

/*-----------------------------------------------------------------------------
 * Benchmark Query:
 *-----------------------------------------------------------------------------
 */

bench :- sg(_,_),fail.
bench.

/*-----------------------------------------------------------------------------
 * The rest is the same for all YAP benchmarks:
-----------------------------------------------------------------------------*/

go :- current_prolog_flag(argv, [Datafile|_]),
	consult(Datafile),
	bench.
