# Cost Measure

As a first try to estimate the runtime,
we look at the number of applicable rule instances
in the given logic program.

I.e. this is the total number of variable assignments
that satisfy the body (condition) of the rules.
The standard seminaive evaluation
would look at each such rule instance exactly once.


Note that this cost measure is purely declarative,
and does not look at the sequence in which facts are computed.
For the applicable rule instances,
we only need the final version of the relations
in the minimal model.
