# Problem Instances

We use our instance generator [graphgen](https://gitlab.informatik.uni-halle.de/mwenzel/graphgen)
to generate graph instances.
The repository includes shell scripts to generate the instances we used for
specific publications or experiments.

Graphgen generates problem instances in the following formats:

* [csv](instances/inst_csv.tar.gz)
* [tsv](instances/inst_tsv.tar.gz)
* [datalog facts](instances/inst_P.tar.gz)
* [json (datascript)](instances/inst_json.tar.gz)
* [graphviz (dot)](instances/inst_dot.tar.gz)
* [SQL INSERT](instances/inst_sql.tar.gz)
* [ttl (graph data)](instances/inst_ttl.tar.gz)

We provide our current working set of instances to download. We also provide specific sets of instances:

* [October 2018](instances/inst_1018.tar.gz).
