# Measuring Methodology

In general we think of the execution as 4 distinct steps:

1. Initialization
1. Loading Data
1. Query Execution
1. Cleanup

We do not yet measure CPU usage (or I/O) for these distinct steps. Our measurements refer to the whole execution procedure.

For standalone systems we use `/usr/bin/time` to capture CPU usage and wall time.

For server-based systems we use the `/proc` virtual file system to capture status information about the server process using the `/proc/[pid]/stat` [interface](http://man7.org/linux/man-pages/man5/proc.5.html).
