---
title: Apache Jena
---

Apache Jena is a Java Framework for linked data
that supports querying RDF data via SPARQL.
We ran Jena on OpenJDK 1.8 (Java 8) using Property Paths for the queries.
To allow for deeper recursions we increased the JVM's thread stack size to 16MB
using the environment variable `JVM_ARGS=-Xss16m`.
With the default settings
we quickly had a stack overflow in the Java Virtual Machine for graphs
that had a diameter of more than 2000.

For Jena we can measure the resource usage using `/usr/bin/time`.

* URL: [https://jena.apache.org/](https://jena.apache.org/)
* License: Apache License, Version 2.0
