/*-----------------------------------------------------------------------------
 * Options:
 *-----------------------------------------------------------------------------
 */

:- use_module(library(tabling)).
:- table a/2.
:- table b1/2.
:- table b2/2.
:- table c1/2.

/*-----------------------------------------------------------------------------
 * Benchmark Program:
 *-----------------------------------------------------------------------------
 */

 a(X, Y)  :- b1(X, Z), b2(Z, Y).

 b1(X, Y) :- c1(X, Z), c2(Z, Y).
 b2(X, Y) :- c3(X, Z), c4(Z, Y).

 c1(X, Y) :- d1(X, Z), d2(Z, Y).


/*-----------------------------------------------------------------------------
 * Benchmark Query:
 *-----------------------------------------------------------------------------
 */

bench :- a(_,_),fail.
bench.

/*-----------------------------------------------------------------------------
 * The rest is the same for all YAP benchmarks:
-----------------------------------------------------------------------------*/

go :- current_prolog_flag(argv, [Datafile|_]),
	consult(Datafile),
	bench.
