/*-----------------------------------------------------------------------------
 * Options:
 *-----------------------------------------------------------------------------
 */

:- use_module(library(tabling)).
:- table tc/2.

/*-----------------------------------------------------------------------------
 * Benchmark Program:
 *-----------------------------------------------------------------------------
 */

tc(X,Y) :- par(X,Y).
tc(X,Y) :- par(X,Z), tc(Z,Y).

/*-----------------------------------------------------------------------------
 * Benchmark Query:
 *-----------------------------------------------------------------------------
 */

bench :- tc(1,_),fail.
bench.

/*-----------------------------------------------------------------------------
 * The rest is the same for all YAP benchmarks:
-----------------------------------------------------------------------------*/

go :- current_prolog_flag(argv, [Datafile|_]),
	consult(Datafile),
	bench.
