## Visualisation

To view plots of the execution time of the transitive closure plotted against the cost
for different systems, click one of the systems. The specific system pages have the same graphs.


* <span onclick="make_scatter('sgffvis', 'tsv/sgff_bam_cost.tsv', 'cost', 'tavg')">BAM</span>
* <span onclick="make_scatter('sgffvis', 'tsv/sgff_maria_cost.tsv', 'cost', 'tavg')">MariaDB</span>
* <span onclick="make_scatter('sgffvis', 'tsv/sgff_psql_cost.tsv', 'cost', 'tavg')">PostgreSQL</span>
* <span onclick="make_scatter('sgffvis', 'tsv/sgff_souffle_cost.tsv', 'cost', 'tavg')">Souffle</span>
* <span onclick="make_scatter('sgffvis', 'tsv/sgff_sqlite_cost.tsv', 'cost', 'tavg')">SQLite</span>
* <span onclick="make_scatter('sgffvis', 'tsv/sgff_xsb_cost.tsv', 'cost', 'tavg')">xsb</span>
* <span onclick="make_scatter('sgffvis', 'tsv/sgff_yap_cost.tsv', 'cost', 'tavg')">YAP</span>



<div id="sgffvis"></div>
Visualisation is done using [Plotly](https://plot.ly/)
