# sgff

We're using the same table definitions as for the [transitive closure](#tcff).

```sql
-- sgff.sql
WITH RECURSIVE sg(a,b) AS (
	SELECT par.b, par.b from par
	UNION
	SELECT p1.a, p2.a from sg JOIN par p1 ON p1.b = sg.a JOIN par p2 ON p2.b = sg.b
) SELECT Count(*) FROM sg;
```

Launch: `cat tcff.sql.[innodb/memory].tbl sgff.sql tcff.sql.drop.tbl | mysql --verbose --user=root -B`

<div id="sgffvis"></div>
<script>make_scatter('sgffvis', 'tsv/sgff_maria_cost.tsv');</script>
