---
title: Neo4J
---

Neo4J is a popular graph database that supports CYPHER for graph queries.

To measure the resource usage for the Neo4J server systems we took a snapshot of the status information provided by
\code{/proc/[pid]/stat}
at the start of the client program and when the query was finished.
The difference between both snapshots is used to measure CPU time.
This approach can not be used to measure memory usage.
We made sure that for Neo4J only one user was connected, as we gathered the
status information of the server process.


* URL: [https://neo4j.com/](https://neo4j.com/)
* License: GPL v3 (Community Edition)
